Jump to content
  • Checkout
  • Login
  • Get in touch

osCommerce

The e-commerce.

Deprecations on next PHP version


Guest

Recommended Posts

Hello all, this is my first post! :)

 

I was very surprised to receive the "FATAL ERROR: register_globals is disabled in php.ini, please enable it!" message when intalling OSC...

 

As you may know, this variable will be deprecated soon and I was wondering if I can install OSC without it (security reasons).

 

Oh, and I hope this change will be ready in time for next PHP verison! :P

 

Thank you!

Link to comment
Share on other sites

Yes, see the workboard - slated for MS4

 

http://www.oscommerce.com/community/workboard

 

Note: register_globals is deprecated - however will not be removed for some time. The "security reasons" is due to the possable BAD progaming of PHP scripts and using malforemed input of varables (ie: not checked for input format?). This is not a "security" problem for OSC as all checking is done and does not have these "security" holes...

 

It is possable to set register_globals on or off on a per vhost basis. See other post (search) on this forum.

Link to comment
Share on other sites

It is possable to set register_globals on or off on a per vhost basis. See other post (search) on this forum.

That I didn't know!

Big help, thank you jpf :)

Link to comment
Share on other sites

Archived

This topic is now archived and is closed to further replies.

×
×
  • Create New...